[19.10 FEAT] gzip compression improvements

Bug #1825350 reported by bugproxy on 2019-04-18
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
gzip (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Compression improvements for Linux on z using the gzip tool in support of better performance.

The patch has been accepted upstream:
http://lists.gnu.org/archive/html/bug-gzip/2019-04/msg00000.html

bugproxy (bugproxy) on 2019-04-18
tags: added: architecture-s39064 bugnameltc-176679 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → gzip (Ubuntu)
Frank Heimes (fheimes) wrote :

Changing to Incomplete until 19.10 development starts.

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
Frank Heimes (fheimes) on 2019-04-29
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
assignee: nobody → Canonical Foundations Team (canonical-foundations)
information type: Private → Public
Changed in gzip (Ubuntu):
status: New → Fix Committed
Frank Heimes (fheimes) on 2019-04-30
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gzip - 1.10-0ubuntu1

---------------
gzip (1.10-0ubuntu1) eoan; urgency=medium

  * New upstream release
  * Cherrypick upstream patches for optimizied s390x zlib compression and
    enable it LP: #1825350

 -- Dimitri John Ledkov <email address hidden> Tue, 30 Apr 2019 14:19:45 +0100

Changed in gzip (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2019-04-30
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
tags: added: id-5cc7cd7240bb30199b95cc32

------- Comment From <email address hidden> 2019-05-06 07:42 EDT-------
IBM bugzilla status -> closed, Fix Released with EOAN, gzip 1.10 +patches

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-08-05 09:17 EDT-------
I've published the following patch a while ago:

https://lists.gnu.org/archive/html/bug-gzip/2019-07/msg00000.html

This patch fixes data corruption issues, and thus is very important. Unfortunately, so far it has been ignored (there is not much going on on gzip mailing list in general). I would like to ask you to pick it up for the distro.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers